Package: org.codehaus.groovy.runtime.metaclass

## [Java] Class ReflectionMetaMethod

- org.codehaus.groovy.runtime.metaclass.ReflectionMetaMethod

-     public class ReflectionMetaMethod
      extends MetaMethod

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected CachedMethod` | `method` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class MetaMethod` | `EMPTY_ARRAY`
    `class ParameterTypes` | `isVargsMethod, nativeParamTypes, parameterTypes`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ReflectionMetaMethod(CachedMethod method)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public MetaMethod` | `getCachedMethod()`
    `` | `public CachedClass` | `getDeclaringClass()`
    `` | `public int` | `getModifiers()`
    `` | `public String` | `getName()`
    `` | `protected Class[]` | `getPT()`
    `` | `public Class` | `getReturnType()`
    `` | `public Object` | `invoke(Object object, Object[] arguments)`
    `` | `public String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class MetaMethod` | `checkParameters, clone, doMethodInvoke, equal, equal, getDeclaringClass, getDescriptor, getModifiers, getMopName, getName, getReturnType, getSignature, invoke, isAbstract, isCacheable, isDefault, isMethod, isPrivate, isProtected, isPublic, isSame, isStatic, processDoMethodInvokeException, toString`
    `class ParameterTypes` | `coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getPT, getParameterTypes, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, isVargsMethod, setParametersTypes`

- - ### Field Detail

    - #### protected final CachedMethod method

  - ### Constructor Detail

    - #### public ReflectionMetaMethod(CachedMethod method)

  - ### Method Detail

    - #### public MetaMethod getCachedMethod()

    - #### @Override
      public CachedClass getDeclaringClass()

    - #### @Override
      public int getModifiers()

    - #### @Override
      public String getName()

    - #### @Override
      protected Class[] getPT()

    - #### @Override
      public Class getReturnType()

    - #### @Override
      public Object invoke(Object object, Object[] arguments)

    - #### @Override
      public String toString()